// __multiversion__
// This signals the loading code to prepend either #version 100 or #version 300 es as apropriate.

#include "vertexVersionCentroidUV.h"

#include "uniformWorldConstants.h"

attribute POS4 POSITION;
attribute vec2 TEXCOORD_0;

varying POS3 localPos;

void main() {
vec4 verPos = POSITION * vec2(2.0, 1.0).xyxy;
gl_Position = WORLDVIEWPROJ * verPos;
uv = TEXCOORD_0;
localPos = POSITION.xyz;
}